Package org.eclipse.viatra.query.runtime.rete.recipes

## Interface InputFilterRecipe

- All Superinterfaces:
    `AlphaRecipe`, `org.eclipse.emf.ecore.EObject`, `FilterRecipe`, `org.eclipse.emf.common.notify.Notifier`, `ReteNodeRecipe`, `SingleParentNodeRecipe`
  All Known Implementing Classes:
    `InputFilterRecipeImpl`

      public interface InputFilterRecipe
      extends FilterRecipe

  A representation of the model object 'Input Filter Recipe'.

  The following features are supported:

  - `Input Key`
  - `Key ID`
  - `Mask`
  See Also:
    `RecipesPackage.getInputFilterRecipe()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getInputKey()` | Returns the value of the 'Input Key' attribute.
    `java.lang.String` | `getKeyID()` | Returns the value of the 'Key ID' attribute.
    `Mask` | `getMask()` | Returns the value of the 'Mask' containment reference.
    `void` | `setInputKey​(java.lang.Object value)` | Sets the value of the '`Input Key`' attribute.
    `void` | `setKeyID​(java.lang.String value)` | Sets the value of the '`Key ID`' attribute.
    `void` | `setMask​(Mask value)` | Sets the value of the '`Mask`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.FilterRecipe

      `getArity`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getInputKey

          java.lang.Object getInputKey()

      Returns the value of the 'Input Key' attribute.
      Returns:
        the value of the 'Input Key' attribute.
      See Also:
        `setInputKey(Object)`, `RecipesPackage.getInputFilterRecipe_InputKey()`
      Generated:
      Model:
        transient="true"

    - #### setInputKey

          void setInputKey​(java.lang.Object value)

      Sets the value of the '`Input Key`' attribute.
      Parameters:
        `value` - the new value of the 'Input Key' attribute.
      See Also:
        `getInputKey()`
      Generated:

    - #### getKeyID

          java.lang.String getKeyID()

      Returns the value of the 'Key ID' attribute. Temporary construct for identifying types over the wire. TODO improve type references
      Returns:
        the value of the 'Key ID' attribute.
      See Also:
        `setKeyID(String)`, `RecipesPackage.getInputFilterRecipe_KeyID()`
      Generated:
      Model:
        unique="false"

    - #### setKeyID

          void setKeyID​(java.lang.String value)

      Sets the value of the '`Key ID`' attribute.
      Parameters:
        `value` - the new value of the 'Key ID' attribute.
      See Also:
        `getKeyID()`
      Generated:

    - #### getMask

          Mask getMask()

      Returns the value of the 'Mask' containment reference.
      Returns:
        the value of the 'Mask' containment reference.
      See Also:
        `setMask(Mask)`, `RecipesPackage.getInputFilterRecipe_Mask()`
      Generated:
      Model:
        containment="true"

    - #### setMask

          void setMask​(Mask value)

      Sets the value of the '`Mask`' containment reference.
      Parameters:
        `value` - the new value of the 'Mask' containment reference.
      See Also:
        `getMask()`
      Generated: